libosmocore 1.13.1.1-afb4 Osmocom core library

Data Fields
gsmtap_hdr Struct Reference

Structure of the GSMTAP pseudo-header. More...

`#include <gsmtap.h>`

## Data Fields
uint8_t | version
| version, set to GSMTAP_VERSION More...
uint8_t | hdr_len
| length in number of 32bit words More...
uint8_t | type
| see GSMTAP_TYPE_* More...
uint8_t | timeslot
| timeslot (0..7 on Um) More...
uint16_t | arfcn
| ARFCN (frequency) More...
int8_t | signal_dbm
| signal level in dBm More...
int8_t | snr_db
| signal/noise ratio in dB More...
uint32_t | frame_number
| GSM Frame Number (FN) More...
uint8_t | sub_type
| Type of burst/channel, see above. More...
uint8_t | antenna_nr
| Antenna Number. More...
uint8_t | sub_slot
| sub-slot within timeslot More...
uint8_t | res
| reserved for future use (RFU) More...

## Detailed Description

Structure of the GSMTAP pseudo-header.

## Field Documentation

## ◆ antenna_nr

uint8_t gsmtap_hdr::antenna_nr

Antenna Number.

Referenced by gsmtap_makemsg_ex().

## ◆ arfcn

uint16_t gsmtap_hdr::arfcn

ARFCN (frequency)

Referenced by gsmtap_makemsg_ex().

## ◆ frame_number

uint32_t gsmtap_hdr::frame_number

GSM Frame Number (FN)

Referenced by gsmtap_makemsg_ex().

## ◆ hdr_len

uint8_t gsmtap_hdr::hdr_len

length in number of 32bit words

Referenced by _gsmtap_raw_output(), and gsmtap_makemsg_ex().

## ◆ res

uint8_t gsmtap_hdr::res

reserved for future use (RFU)

## ◆ signal_dbm

int8_t gsmtap_hdr::signal_dbm

signal level in dBm

Referenced by gsmtap_makemsg_ex().

## ◆ snr_db

int8_t gsmtap_hdr::snr_db

signal/noise ratio in dB

Referenced by gsmtap_makemsg_ex().

## ◆ sub_slot

uint8_t gsmtap_hdr::sub_slot

sub-slot within timeslot

Referenced by gsmtap_makemsg_ex().

## ◆ sub_type

uint8_t gsmtap_hdr::sub_type

Type of burst/channel, see above.

Referenced by gsmtap_makemsg_ex().

## ◆ timeslot

uint8_t gsmtap_hdr::timeslot

timeslot (0..7 on Um)

Referenced by gsmtap_makemsg_ex().

## ◆ type

uint8_t gsmtap_hdr::type

see GSMTAP_TYPE_*

Referenced by _gsmtap_raw_output(), and gsmtap_makemsg_ex().

## ◆ version

uint8_t gsmtap_hdr::version

version, set to GSMTAP_VERSION

Referenced by _gsmtap_raw_output(), and gsmtap_makemsg_ex().

The documentation for this struct was generated from the following file:

- include/osmocom/core/gsmtap.h